package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 打印纸张类型
 *
 * @author:
 * @date: 2022/12/26 11:11
 */
public enum PaperTypeEnum {
    PAPER_TICKET("ticket", "小票"),
    PAPER_A3("A3", "A3"),
    PAPER_A4("A4", "A4"),
    ;
    private String value;
    private String desc;

    PaperTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PaperTypeEnum getByValue(String value) {
        for (PaperTypeEnum BusizTypeEnum : PaperTypeEnum.values()) {
            if (BusizTypeEnum.getValue().equals(value)) {
                return BusizTypeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PaperTypeEnum item : PaperTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}